% Tato funkce slouzi k vahovani snimku Hannovym oknem.

function [obr]=okno(obr)
        [a,b]=size(obr);
        for i=1:a
            for j=1:b
            H(i,j)=0.5*(1-cos(2*pi()*i/(a-1)))*0.5*(1-cos(2*pi()*j/(b-1)));
            end
        end
        obr=obr.*H;
end